package cc.smtweb.system.bpm.web.engine.flow.entity;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by Akmm at 2022/5/23 14:25
 * 会签信息
 */
@SwTable("WF_SIGN")
public class Sign extends DefaultEntity {
    public static final String ENTITY_NAME = "WF_SIGN";

    public Sign() {
        super(ENTITY_NAME);
    }

    public long getId() {
        return getLong("sgn_id");
    }

    public void setId(long sgnId) {
        put("sgn_id", sgnId);
    }

    public long getPriId() {
        return getLong("sgn_pri_id");
    }

    public void setPriId(long sgnPriId) {
        put("sgn_pri_id", sgnPriId);
    }

    public long getTskId() {
        return getLong("sgn_tsk_id");
    }

    public void setTskId(long sgnTskId) {
        put("sgn_tsk_id", sgnTskId);
    }

    public long getUserId() {
        return getLong("sgn_user_id");
    }

    public void setUserId(long sgnUserId) {
        put("sgn_user_id", sgnUserId);
    }

    public int getAgree() {
        return getInt("sgn_agree");
    }

    public void setAgree(int sgnAgree) {
        put("sgn_agree", sgnAgree);
    }

    public String getContent() {
        return getStr("sgn_content");
    }

    public void setContent(String sgnContent) {
        put("sgn_content", sgnContent);
    }

    public long getTime() {
        return getLong("sgn_time");
    }

    public void setTime(long sgnTime) {
        put("sgn_time", sgnTime);
    }

}
